Remove Groups From Organization

Remove Groups From Organization
Remove Groups From Organization

Use this API instead:

  • /cloudapi/1.0.0/groups

Remove groups from organization.
Note: DEPRECATED: Response field failed will be deprecated. You can use the field failures instead.

Access Policy

Role Access
Platform operator ✔️
Organization Owner ✔️
Organization Member
Service Account (Whitelisted Client)
Request
URI
DELETE
https://vcfa-10-162-161-9.vcfd.broadcom.net/csp/gateway/am/api/orgs/{orgId}/groups
COPY
Path Parameters
string
orgId
Required

orgId


Request Body
RemoveGroupsFromOrgRequest of type(s) application/json
Optional
{
    "ids": [
        "string"
    ],
    "notifyUsersInGroups": false
}
array of string
ids
Optional

ids

boolean
notifyUsersInGroups
Optional

notifyUsersInGroups

Authentication
This operation uses the following authentication methods.
Responses
200

OK

Returns RemoveMembersFromOrgResponse of type(s) */*
{
    "succeeded": [
        "string"
    ],
    "failed": [
        "string"
    ],
    "failures": [
        {
            "id": "string",
            "message": "string"
        }
    ]
}

400

Invalid request body.

Returns RemoveMembersFromOrgResponse of type(s) */*
{
    "succeeded": [
        "string"
    ],
    "failed": [
        "string"
    ],
    "failures": [
        {
            "id": "string",
            "message": "string"
        }
    ]
}

401

The user is not authorized to use the API.

Returns RemoveMembersFromOrgResponse of type(s) */*
"RemoveMembersFromOrgResponse Object"
array of string
succeeded
Optional

succeeded

array of string
failed
Optional

failed

array of object
failures
Optional

failures


Code Samples
COPY
                    curl -X DELETE -H 'Authorization: <value>' -H 'Content-Type: application/json' -d '{}' https://{api_host}/csp/gateway/am/api/orgs/{orgId}/groups